Subject: bug#958 closed by Glenn Morris <[email-masked]> (Re: bug#958: Python 2.6b2 interpreter error with `emacs.py')

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#958: Python 2.6b2 interpreter error with `emacs.py'

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
958: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=958
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Sep 11 16:06:25 2008
From: Glenn Morris <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Subject: Re: bug#958: Python 2.6b2 interpreter error with `emacs.py'
Date: Thu, 11 Sep 2008 19:04:32 -0400

"Allan Mui" wrote:

> I have installed Python 2.6b2 and Emacs 22.3.1 (from binaries in both
> cases). When I open `emacs.py' or any other python source file and run
> the python interpreter from within emacs I receive the following
> error:
>  d:\Program Files\GNU\GNU Emacs\emacs-22.3\etc\emacs.py:24:
> DeprecationWarning: the sets module is deprecated
>   from sets import Set

(This is just a warning, not an error, no?)

Looks like this is already handled in the CVS trunk version, so will
be fixed in Emacs 23.1, via:

try:
    set
except:
    from sets import Set as set

>From [email-masked] Wed Sep 10 21:48:54 2008
Reply-To: [email-masked]
From: "Allan Mui" <[email-masked]>
To: [email-masked]
Subject: Python 2.6b2 interpreter error with `emacs.py'
Date: Wed, 10 Sep 2008 23:49:00 -0500

I have installed Python 2.6b2 and Emacs 22.3.1 (from binaries in both
cases). When I open `emacs.py' or any other python source file and run
the python interpreter from within emacs I receive the following
error:
 d:\Program Files\GNU\GNU Emacs\emacs-22.3\etc\emacs.py:24:
DeprecationWarning: the sets module is deprecated
  from sets import Set

In GNU Emacs 22.3.1 (i386-mingw-nt5.1.2600)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu> 
<send-emacs-bug-report>

Recent messages:
("D:\\Program Files\\GNU\\GNU Emacs\\emacs-22.3\\bin\\emacs.exe")
Loading encoded-kb...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done

--
Allan J. Mu